
QGIS Application - Bug report #574

Crash when opening .tif when projection is on

2007-02-06 05:15 AM - Magnus Homann

Status: Closed

Priority: Low

Assignee:

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10633

Description

1) Start qgis

2) Turn on projection with default WGS84

3) Load topo.tif (see #561)

4) Out of memory abort

History

#1 - 2007-02-06 06:57 AM - Magnus Homann

Also crashes trunk. The view becomes a VERY zoomed in version of the raster. The raster reading algorithm scales the raster many times to achieve the

zoom in (0.000008 map unit per pixel). As the entire raster is read into memory, a huge buffer is needed. In fact, almost a Petabyte is needed, a number so

big it can't be handled in a 32 bit int.

To fix this, we need to partially read rasters into memory. Or a way to decide if they should be read at all (depending on zoom-level?). Or both?

#2 - 2007-02-06 08:30 AM - Magnus Homann

- Status changed from Open to In Progress

#3 - 2007-02-06 08:31 AM - Magnus Homann

- Status changed from In Progress to Open

#4 - 2007-02-15 10:38 AM - Magnus Homann

- Resolution set to fixed

- Status changed from Open to Closed

Now checking allocation result. See .

#5 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted
